API
POST /api/url/suggestions/{memory_id}/conflict/keep-both
Conflict Keep Both
POST /api/url/suggestions/{memory_id}/conflict/keep-both
Conflict Keep Both
Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
memory_id | path | string | Yes | - |
X-Org-ID | header | string | null | No | - |
Request body
A JSON request body is required.
| Field | Type | Required | Description |
|---|---|---|---|
existing_memory_id | string | Yes | - |
Example request
curl -X POST https://api.cognitivx.io/api/url/suggestions/{memory_id}/conflict/keep-both \
-H "Authorization: Bearer icog_..." \
-H "Content-Type: application/json" \
-d '{
"existing_memory_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'Example response
200 application/json
{}Responses
| Status | Description |
|---|---|
200 | Success. Returns the response body shown below. |
422 | Request validation failed. detail lists each offending field. |